This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 234051 - rpmlint catches strange permissions only when the rpm is already installed
rpmlint catches strange permissions only when the rpm is already installed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 15:48 EDT by Till Maas
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 16:57:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-03-26 15:48:38 EDT
rpmlint complained about /usr/share/doc/<package>/doc having strange permissions
(set guid), but only when the package is already installed. rpm -v -qpl
<package> shows the strange permissions already without the package beeing
installed, so rpmlint could also check for the permissions in the  rpm, without
it beeing installed.

I wanted to report this here, but trac complained about a missing form cookie,
but it seems it never event wanted to give me a cookie. Maybe you can forward this.
http://rpmlint.zarb.org/cgi-bin/trac.cgi/newticket
Comment 1 Ville Skyttä 2007-03-26 16:20:41 EDT
Hmm, trac submission worked fine for me as anonymous.
http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/57

Do you have a package around which can be used to test this?  I could not
reproduce in some quick tests.
Comment 2 Till Maas 2007-03-26 16:33:35 EDT
(In reply to comment #1)

> Hmm, trac submission worked fine for me as anonymous.
> http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/57

I tried to use my name instead if anonymous, maybe this was the problem.
 
> Do you have a package around which can be used to test this?  I could not
> reproduce in some quick tests.

http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/whysynth-dssi-20060122-7.i386.rpm

Comment 3 Ville Skyttä 2007-03-26 16:46:26 EDT
I think you need to register and login if you wish to use something else than
anonymous.

Anyway, I cannot reproduce with the test package either:

$ rpm -q rpmlint
rpmlint-0.79-1.fc6.noarch

$ rpm -V rpmlint
(no output)

$ rpm -q whysynth-dssi
package whysynth-dssi is not installed

$ rpmlint whysynth-dssi-20060122-7.i386.rpm
E: whysynth-dssi non-standard-dir-perm /usr/share/doc/whysynth-dssi-20060122/doc
02755
W: whysynth-dssi dangling-relative-symlink /usr/bin/whysynth jack-dssi-host
Comment 4 Till Maas 2007-03-26 16:57:43 EDT
(In reply to comment #3)
> $ rpmlint whysynth-dssi-20060122-7.i386.rpm
> E: whysynth-dssi non-standard-dir-perm /usr/share/doc/whysynth-dssi-20060122/doc
> 02755
> W: whysynth-dssi dangling-relative-symlink /usr/bin/whysynth jack-dssi-host

Ok, the problem was, that I installed a rpm, that was made with rpmbuild and has
the strange permission, but I ran rpmlint on a mock built, which does not have
the strange permissions problem. 


Note You need to log in before you can comment on or make changes to this bug.